

#define buzzerPin 13 // Pin 13 controls your LEDs 
#define pirPin 4 // Pin 4 receives motion sensor data

int val = 0; // Sets a default for your motion sensor

void setup()
{
  // Defines the buzzer and PIR as being input or output
  pinMode(buzzerPin, OUTPUT);
  pinMode(pirPin, INPUT);
     Serial.begin(115200); 
}

void loop()
{
  // The loop watches for the PIR to be triggered, then 
  // sets off the alarm
  val = digitalRead(pirPin); 

  if (val == HIGH) {
    digitalWrite(buzzerPin, HIGH);
      Serial.println(val);

    delay(200); // alarm duration in milliseconds

  }     
  else {
    digitalWrite(buzzerPin, LOW);
    }
  }

