#include <Wire.h>

const int buttonPin = 8;
const int ledPin = 13;  
int buttonState = 0; 

void setup()
{
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT); 
 pinMode(buttonPin, INPUT_PULLUP);     
}

void process_incoming_command(char cmd)
{
  int speed = 0;
  switch (cmd)
  {
  case '1':
  case 1:
    digitalWrite(ledPin, LOW);  
    break;
  case '0':
  case 0:
    digitalWrite(ledPin, HIGH);  
    break;

  }
}


void loop() {
  if (Serial.available() >= 2)
  {
    char start = Serial.read();
    if (start != '*')
    {
      return;
    }

    char cmd = Serial.read();
    process_incoming_command(cmd);
  }
  
  buttonState = digitalRead(buttonPin);
  if (buttonState == HIGH) {    
    Serial.write('*');
    Serial.write(1);
  } 
  else {
    Serial.write('*');
    Serial.write(0);
  }
  delay(50); //limit how fast we update
}
