// This sketch is based on the example sketch, 
// tonePitchFollower, by Tom Igoe.


void setup()
{
  Serial.begin(9600);
}

void loop()
{
  int sensorReading = analogRead(A0);
  int pot1 = analogRead(A1);
  int pot2 = analogRead(A2);
  int switch1 = digitalRead(2);

  int thisPitch = map(sensorReading, 600, 1000, 1000, 100);
  int potDelay = map(pot1, 0, 1023, 1, 100);
  int potDur = map(pot2, 0, 1023, 1, 50);


  if (switch1 == HIGH) {     
  tone(8, thisPitch, potDur);
  delay(potDelay);
}

}



