#include <Wire.h>

const int buzzerPin = 13;  

void setup()
{
  Serial.begin(9600);
  pinMode(buzzerPin, OUTPUT);    
}

void process_incoming_command(char cmd)
{
  int speed = 0;
  switch (cmd)
  {
  case '1':
  case 1:
    digitalWrite(buzzerPin, LOW);  
    break;
  case '0':
  case 0:
    digitalWrite(buzzerPin, HIGH);  
    break;

  }
}


void loop() {
  if (Serial.available() >= 2)
  {
    char start = Serial.read();
    if (start != '*')
    {
      return;
    }

    char cmd = Serial.read();
    process_incoming_command(cmd);
  }
  

  delay(50); //limit how fast we update
}
